"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirmAutoMessageConsole = void 0;
/**
 * Prints information about the install about to happen to the console and
 * confirms it.
 */
function confirmAutoMessageConsole({ binaryName, libVersion, libName, binVersion, fullPathToBinary, }) {
    if (binVersion == null) {
        console.error(`No existing version found for ${binaryName}.`);
    }
    else {
        console.error(`Version for ${binaryName}: ${binVersion}`);
    }
    console.error(`Will install version matching "${libName}: '${libVersion}'" to ${fullPathToBinary}`);
    return Promise.resolve(true);
}
exports.confirmAutoMessageConsole = confirmAutoMessageConsole;
//# sourceMappingURL=confirm.js.map