"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCargoToml = void 0;
const fs_1 = require("fs");
const log_1 = require("./log");
const toml_1 = require("toml");
/** @private */
async function parseCargoToml(fullPath) {
    let toml;
    try {
        toml = await fs_1.promises.readFile(fullPath, 'utf8');
    }
    catch (err) {
        (0, log_1.logError)('Failed to read Cargo.toml at "%s"\n', fullPath, err);
        throw err;
    }
    try {
        const parsed = (0, toml_1.parse)(toml);
        return { parsed, toml };
    }
    catch (err) {
        (0, log_1.logError)('Failed to parse Cargo.toml:\n%s\n%s', toml, err);
        throw err;
    }
}
exports.parseCargoToml = parseCargoToml;
//# sourceMappingURL=parse-cargo-toml.js.map